
From: "Antonino A. Daplas" <adaplas@hotpop.com>

From: Martin Wilck

..I am asking because we have encountered a video device that obviously 
has problems displaying the standard mode of the vga16fb driver...

The default timings give a vtotal of 529 instead of 525 in 640x480@60.

Signed-off-by: Antonino Daplas <adaplas@pol.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/vga16fb.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/video/vga16fb.c~fbdev-fix-default-timings-in-vga16fb drivers/video/vga16fb.c
--- 25/drivers/video/vga16fb.c~fbdev-fix-default-timings-in-vga16fb	Thu Dec 23 14:11:14 2004
+++ 25-akpm/drivers/video/vga16fb.c	Thu Dec 23 14:11:14 2004
@@ -91,8 +91,8 @@ static struct fb_var_screeninfo vga16fb_
 	.pixclock	= 39721,
 	.left_margin	= 48,
 	.right_margin	= 16,
-	.upper_margin	= 39,
-	.lower_margin	= 8,
+	.upper_margin	= 33,
+	.lower_margin	= 10,
 	.hsync_len 	= 96,
 	.vsync_len	= 2,
 	.vmode		= FB_VMODE_NONINTERLACED,
_
